%define pre
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Kernel module management utilities.
Name:      	module-init-tools
Version:   	3.12
Release:   	2
License: 	GNU/GPL
URL:		http://www.kernel.org/pub/linux/kernel/people/jcm/module-init-tools/
Group:     	System/Configuration/Hardware  
Source0: 	%{name}-%{version}%{?pre:-pre%{pre}}.tar.bz2
Source2: 	modprobe.conf.dist
Source4: 	depmod.conf.dist
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:  zlib-devel
Requires(pre): /sbin/chkconfig sharutils base-config >= 1:0.9.9-3

BuildRequires: docbook-utils
BuildRequires: docbook-dtds
BuildRequires: sgml-common
BuildRequires: docbook-style-dsssl
BuildRequires: docbook-style-xsl

BuildRequires: which

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
The module-init-tools package includes various programs needed for automatic
loading and unloading of modules under 2.6 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.

%prep
%setup -q -n %{name}-%{version}%{?pre:-pre%{pre}}

%build
export CFLAGS="-Os -DCONFIG_NO_BACKWARDS_COMPAT=1"
%configure --enable-zlib
make insmod.static
cp build/insmod.static insmod-static

export CC=gcc
export CFLAGS="$RPM_OPT_FLAGS -DCONFIG_NO_BACKWARDS_COMPAT=1"

make distclean

%configure --enable-zlib
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

install -m 755 generate-modprobe.conf \
 $RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/modprobe.d/modprobe_dist.conf

mkdir -p $RPM_BUILD_ROOT/etc/depmod.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/depmod.d/depmod.conf

find $RPM_BUILD_ROOT/sbin/ -name '*.static' -exec rm {} \;

mv $RPM_BUILD_ROOT/%{_bindir}/lsmod $RPM_BUILD_ROOT/sbin

install -m 755 insmod-static $RPM_BUILD_ROOT/sbin/insmod.static
touch $RPM_BUILD_ROOT/etc/modprobe.d/modprobe.conf

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'



%post
# we have an old user config file and want to migrate to
# the new modprobe.d/modprobe.conf layout
if [ -f /etc/modprobe.conf ] ; then
   mv /etc/modprobe.conf /etc/modprobe.d/modprobe.conf
fi
# we have a new installation set and need to setup 
# user editable modprobe.conf
if [ ! -f /etc/modprobe.d/modprobe.conf ] ; then
   echo "#Userspace modprobe.conf" > /etc/modprobe.d/modprobe.conf 2>/dev/null
   chmod 644 /etc/modprobe.d/modprobe.conf
fi

%files
%defattr(-,root,root)
%ghost %config(noreplace) %verify(not md5 size mtime) /etc/modprobe.d/modprobe.conf
%_sysconfdir/depmod.d/depmod.conf
%_sysconfdir/modprobe.d/modprobe.conf
%_sysconfdir/modprobe.d/modprobe_dist.conf
/sbin/depmod
/sbin/generate-modprobe.conf
/sbin/insmod
/sbin/insmod.static
/sbin/lsmod
/sbin/modinfo
/sbin/modprobe
/sbin/rmmod
%_mandir/man5/depmod.conf.5.gz
%_mandir/man5/modprobe.conf.5.gz
%_mandir/man5/modprobe.d.5.gz
%_mandir/man5/modules.dep.5.gz
%_mandir/man8/depmod.8.gz
%_mandir/man8/insmod.8.gz
%_mandir/man8/lsmod.8.gz
%_mandir/man8/modinfo.8.gz
%_mandir/man8/modprobe.8.gz
%_mandir/man8/rmmod.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.12-2
- regular release
* Tue May 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.12-1
- Version update, pre3
* Wed Dec 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.11-1
- Version update
* Tue Sep 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.10-1
- Version update
* Tue Jun 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.9-1
- Version update
* Wed Mar 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.7-1
- Version update, pre7
* Sat Feb 07 2009 Christian Metzen <metzench@ccux-linux.de> 3.6-1
- Version update
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.1-3
- fixed generation of default modprobe.conf
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.1-2
- fixed generation of default modprobe.conf
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.1-1
- Version update, move modprobe.conf from base-config here
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.4-1
- Version update
* Thu Dec 08 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.2-1
- Version update
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 3.2.1-1
- Update to Version 3.2.1
* Sun Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.1-2
- Moved mandir
* Sun Jun 12 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.1-1
- Version Update to 3.1 / rebuilt spec
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 3.0-1
- Initial Release
